Package jam.java9only

# Class ApplicationAdapter

java.lang.Object
jam.java9only.ApplicationAdapter

All Implemented Interfaces:
  `AboutHandler`, `OpenFilesHandler`, `PreferencesHandler`, `PrintFilesHandler`, `QuitHandler`

public class ApplicationAdapter extends Object implements AboutHandler, PreferencesHandler, OpenFilesHandler, PrintFilesHandler, QuitHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAbout(AboutEvent e)`
`void`
`handlePreferences(PreferencesEvent e)`
`void`
`handleQuitRequestWith(QuitEvent e, QuitResponse response)`
`void`
`openFiles(OpenFilesEvent openFilesEvent)`
`void`
`printFiles(PrintFilesEvent printFilesEvent)`
`static void`
`registerApplication(Application application)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerApplication

public static void registerApplication(Application application)

### handleAbout

public void handleAbout(AboutEvent e)

Specified by:
  `handleAbout` in interface `AboutHandler`

### openFiles

public void openFiles(OpenFilesEvent openFilesEvent)

Specified by:
  `openFiles` in interface `OpenFilesHandler`

### handlePreferences

public void handlePreferences(PreferencesEvent e)

Specified by:
  `handlePreferences` in interface `PreferencesHandler`

### printFiles

public void printFiles(PrintFilesEvent printFilesEvent)

Specified by:
  `printFiles` in interface `PrintFilesHandler`

### handleQuitRequestWith

public void handleQuitRequestWith(QuitEvent e, QuitResponse response)

Specified by:
  `handleQuitRequestWith` in interface `QuitHandler`